<?php

/**
 * Plugin CIBLOC
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

/*-----------------------------------------------------------------
// Balise propre au plugin
------------------------------------------------------------------*/

function balise_CIBLOC_LISTE_ICONE(
	$p
) {
	$p->code = 'cibloc_liste_icone($Pile)';
	//	$p->statut = 'html';
	return $p;
}

/*-----------------------------------------------------------------
// Fonction relative a la balise propre au plugin
------------------------------------------------------------------*/

function cibloc_liste_icone(
	$Pile
) {
	$return = '';
	$liste = '';
	$tableau = [];

	if (defined('_DIR_PLUGIN_CIBLOC')) {
		include_spip('inc/cibloc_commun');

		//            $tableau = explode(',',str_replace("'","",base64_decode(cibloc_affichage_icone())));
		$tableau = cibloc_tableau_des_icones();

		foreach ($tableau as $valeur) {
			$liste .= '<li><i class="fa fa-' . $valeur . ' fa-2x"></i> Syntaxe : &lt;icone|nom=' . $valeur . '|echelle=2&gt;</li>';
		}
		$return = '<ul>' . $liste . '</ul>';
	}

	return $return;
}
